#ifndef FMT_HPP
#define FMT_HPP

#undef _export
#define _export

extern "C"
{
  bool   WINAPI _export isImage      (const wchar_t* fileName, const BYTE* data, int size);
  HANDLE WINAPI _export init         (const wchar_t* fileName);
  void   WINAPI _export cleanup      (HANDLE h);
  bool   WINAPI _export reload       (HANDLE h);
  bool   WINAPI _export open         (HANDLE h);
  bool   WINAPI _export close        (HANDLE h);
  bool   WINAPI _export read         (HANDLE h, BYTE trk, BYTE sec, BYTE* buf);
  bool   WINAPI _export write        (HANDLE h, BYTE trk, BYTE sec, BYTE* buf);
  const wchar_t*  WINAPI _export getFormatName();
  bool   WINAPI _export isProtected  (HANDLE h);
  bool   WINAPI _export protect      (HANDLE h, bool on);
}

#endif
